import 'dart:async';

import 'package:flutter/services.dart';

class TgSdkPlugin {
  static const MethodChannel _channel = MethodChannel('tg_sdk_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> get runTGTest async {
    final String? testStatus = await _channel.invokeMethod('runTGTest');
    return testStatus;
  }
}
